function jnload;
%project "noteZcore" [code by Jan Hakenberg]
global N S X eX

if N.sv(5);
 %show partita
 pn=[N.sd 'partitas\' N.sn '.gif'];
 if exist(pn);
  A=imread(pn); sA=size(A');
  figure(5); clf reset;
  set(5,'Name',['Original Sheet']);% set(3,'Color',[1 1 1]);
  set(5,'Position',[0 768-sA(2) sA]);
  subplot('position',[0,0,1,1]);
  imshow(double(A));
  drawnow;
 end;
end;

%loading piece
 N.st=N.st*N.sf;
 if ~strcmp(N.sn,'');
  [S,fs,bits]=wavread([N.sd 'samples\' N.sn '.wav']);
  S=S(N.st(1)+1:min(N.st(1)+diff(N.st),length(S)));
  lS=length(S);
  fprintf('%s - %3.2f sec ',N.sn,lS/fs);
  if N.sf~=fs; error('sample frequency'); end
  if N.sp;     fprintf('playing... '); sound(S,fs); end;
 end;
  if ischar(N.af);
   fb=min(N.ab):N.ag(1):max(N.ab)+N.ag(2);
   switch N.af;
    case 'id', fd=fb;
    case 'hi', dx=[2 .1];
     fd=polyval(polyfit([fb([1 2 end-1 end])],...
                [fb(1) fb(1)+diff(fb(1:2))*dx(1) ...
                     fb(end)-diff(fb(end-1:end))*dx(2) fb(end)],3),fb);
    case 'lo', dx=[.1 2];
     fd=polyval(polyfit([fb([1 2 end-1 end])],...
                [fb(1) fb(1)+diff(fb(1:2))*dx(1) ...
                     fb(end)-diff(fb(end-1:end))*dx(2) fb(end)],3),fb);
   end;
   N.af=27.5*2.^((fd-1)/12);
  end;

%loading library
if N.ll;
 lb=length(N.ab); lf=length(N.af);
 X=zeros(N.lw,lb);
 fprintf('lib: %s [%i notes]\n',N.ln,lb);
 for c1=1:lb;
  [tS,fq,bits]=wavread([N.sd 'lib\' N.ln '\n' num2str(N.ab(c1)) 'm.wav']);
  X(:,c1)=tS((1:N.lw)+N.ly);
 end;
 X=abs(xspectrum(X,N.af,N.sf));
 f=find(N.ab==N.ao);
 N.lo=round(log(1:N.lo)*(12/log(2)));
 x=zeros(lf,1);
 x(N.lo+2)=[1 .7 .3 .2 .1 0];
 %x(N.lo+2)=X(f+N.lo,f);
 y=zeros(lf,1); y(1:3)=[-.1 1 -.1];
 N.ap=real(xfilter(X(:,f),y));

%scaling energy

 switch N.an;
  case 1,   eX=sum(X);
  case 2,   eX=sqrt(sum(X.*X));
  case Inf, eX=max(X);
 end;

 if ~isempty(N.le)
  switch lower(N.le);
   case 'pf1', eS=polyval(polyfit(N.ab,eX,1),N.ab);
   case 'smo', eS=conv([eX([1 1]) eX eX([end end])],[.2 .2 .2 .2 .2]); eS=eS(5:end-4);
  end;
  X=repmat(eS./eX,size(X,1),1).*X;
  eX=[eX;eS];
  else;
  eX=[eX;eX];
 end;
end;

if N.sv(1);
 figure(1); clf reset;
 set(1,'Name','Load / Measure');
 set(1,'Position',[514 440 508 299]);
 set(1,'Color',[1 1 1]);
 subplot(2,3,1); plot(fb,fd,'-+'); grid on; axis equal;
 subplot(4,1,4); bar(x/max(x)); hold on;
 plot(N.ap/max(N.ap),'r')
end;


%filter design
%[0 0 0 171.8423 132.6623 95.4175 78.7738 65.1139 54.4221 44.6517 33]*3;
%[0 0 0 0 0 0 0 0  17.0788  16.6369 13.3921 11.1256 10.0223  9.5534  8.6065  7.3037  6.3143]*89;
%[0 0 0 19.6554 15.1157 13.9885 12.9384 11.1256 10.0223  9.5534  ]*89 ;